:root {
    --purple: #0d0221;
    --white: #f0f0f0;
    --orange: #fb5607;
    --cyan: #00fff9;
    --other-purple: #b900ff;
    --pink: #ff006e;
    --other-pink: #ff2a6d;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}


.featured-movies {
    margin: 20px auto;
}
body {
    font-family: 'Orbitron', sans-serif;
    display: flex;
    justify-content: flex-start;
    background-color: var(--purple);
    color: var(--white);
    align-items: center;
    flex-direction: column;
    min-height: 100vh;
}

header {
    width: 100%;
}

.hero {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color:var(--white);
    background-image: url('assets/bg.jpg');
    background-repeat: no-repeat;
    background-position: left center;
    background-size: cover;
    height: 400px;
    width: 100%;
}


.search-area {
    display: flex;
    justify-content: center;
    top: -20px;
    margin-bottom: 30px;
}

.search-wrapper {
    display: inline-block;
    position: relative;
}
.search-bar {
    border-radius: 20px;
    padding: 0px 20px;
    background-color: #2c406c;
    border: 1px solid var(--other-purple);
    height: 40px;
    width: 250px;
    color: var(--white);
   

}

.search-bar:focus {
    border: 2px solid #ff006e;
}


.search-icon {
    position: absolute;
    right: 5%;
    top: 50%;
    transform: translateY(-50%); /*always used in tandem as top % puts the icon's top edge at 50% from bottom or bottom edge at 50% from top; so translateY pushes it up 50% its own height acheiving true vertical centering*/
    color: var(--cyan);
    font-size: 18px;
    cursor: pointer;
}

#movies-list {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: space-evenly;
    width: 100%;
}


.movie-card > img {
    width: 100%;
    height: 250px;
    border-radius: 12px 12px 0px 0px;
    
}

.movie-card {
    display: flex;
    flex-direction: column;
    background-color: #3E5B99;
    font-family: Montserrat, 'sans-serif';
    color:#f0f0f0;
    border-radius: 12px;
    width: 315px;
    height: 525px;
    gap: 25px;
    cursor: pointer;
    align-items:flex-start;
    box-shadow: 0 5px 10px #b900ff;
    position: relative;
    transition: all 0.3s; /* transition on parent and not pseudo class because if its only in pseudo class its only going to work on hover and not when you stop hovering*/
}

.movie-card:hover{
    width: 335px;
    box-shadow: 0 5px 10px #ff006e, 0 15px 40px #ff2a6d; /* BOX shadow trick. use two box shadows instead of one for drop shadows!!!###*/
    
}

.bold-text {
    font-weight: 600;
    color: #00fff9;
}

.movie-details {
    display: flex;
    flex-direction: column;
    padding: 0px 10px;
    gap: 15px;
}

/* .movie-details:last-child {
    gap: 15px;
} */

.ratings {
    display: flex;
    gap: 10px;
    margin-top: 20px;
    justify-content:center;
    align-items: center;
    /* height: 50px;
    width: 100%; */
    font-size: 16px;
    font-weight: 600;
    position: absolute;
    bottom: 0;
    left: 55px;
    margin-bottom: 10px;
}

.meta {
    text-align: center;
    width: 35px; 
    height: 35px; 
    border-radius: 6px;
    color: var(--white);
    padding: 7px 5px;
    font-weight: 600;
}

a {
    text-decoration: none;
}

.ratings * {
    transition: all 0.3s;
}

.ratings *:hover {
    box-shadow: 0 5px 10px #00fff9, 0 15px 40px #00fff9;
    width: 40px;
    height: 40px;
}


.slider-and-sort {
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 100%;
    padding: 0 20px;
}

.filter-slider {
    display: flex;
    font-size: 14px;
    align-items: center;
    justify-content: center;
    gap: 20px;
    font-family: 'Montserrat', 'sans-serif';
    /* min-width: 400px; */
}

/*Custom styles for the slider*/

.slider {
    -webkit-appearance: none;
    appearance: auto;
    min-width: 48%;
    height: 5px; 
    outline: none;
    
}


.slider::-webkit-slider-runnable-track {
    background: #2c406c;
    border-radius: 5px;
}


.slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 15px;
    height: 15px;
    background: #3E5B99;
    cursor: pointer;
    border-radius: 25%;
    border: solid 1px #00fff9;
}

.slider::-webkit-slider-thumb:hover {
    width: 20px;
    height: 20px;
    box-shadow: 0 5px 10px #00fff9, 0 15px 40px #00fff9;
}


.slider::-moz-range-track {
    background: #2c406c;
    border-radius: 5px;
}

.slider::-moz-range-thumb {
    width: 15px;
    height: 15px;
    background: #3E5B99;
    cursor: pointer;
    border-radius: 25%;
    border: solid 1px #00fff9;
    transition: all 3ms;
}

.slider::-moz-range-thumb:hover {
    width: 20px;
    height: 20px;
    box-shadow: 0 5px 10px #00fff9, 0 15px 40px #00fff9;
}


/*Custom sort box styles*/

#sort {
    padding: 8px 12px;
    background-color: #2c406c;  /* Your color */
    color: var(--white);
    border: 2px solid var(--other-purple);
    border-radius: 8px;
    font-family: 'Montserrat', sans-serif;
    font-size: 14px;
    cursor: pointer;
    outline: none;
    max-width: 200px;
    width: 100%;
}

#sort:hover {
    border-color: var(--pink);
}

#sort:focus {
    border-color: var(--cyan);
}

#sort option {
    background-color: #2c406c;
    color: var(--white);
}

#movie-information {
    font-family: Montserrat, 'sans-serif';
}

.movie-figure {
    display: flex;
    justify-content: center;
    position: relative;
    /* padding: 100px; */
    /* left: 25%; */
    margin-bottom: 50px;
    
}

.movie-detailed-image {
    margin-top: 5%;
    width: 50%;
    aspect-ratio: 16/12;
    object-position: center;
    border-radius: 8px;
    transition: box-shadow 0.3s;
    border: 1px solid #f0f0f0;
    
}

.movie-detailed-image:hover {
    box-shadow: 0 5px 10px #f0f0f0, 0 15px 40px #b900ff;
}
  
.ratings-detailed {
    text-align: center;
    position: absolute;
    top: 101%;
    left: 50%;
    transform: translateX(-50%); /*###THE CENTERING TRICK*/
   
}

.plot-expander {
    padding: 2px 4px;
    background-color: #3E5B99;
    border-radius: 6px;
    border: none;
    color: #f0f0f0;
    cursor: pointer;
    font-size: 12px;
    font-family: Orbitron, Montserrat, 'sans-serif';
}

.plot-expander:hover {
    background-color: #ff006e;
    box-shadow: 0 2px 10px #ff006e, 0 4px 20px #ff2a6d;
    color: #00fff9;

}

.plot-lesspander {
    padding: 2px 4px;
    background-color: #ff2a6d;
    border-radius: 6px;
    border: none;
    color: #f0f0f0;
    cursor: pointer;
    font-size: 12px;
    font-family: Orbitron, Montserrat, 'sans-serif';
}

.plot-lesspander:hover {
    background-color: #ead10d;
    box-shadow: 0 5px 40px #ffd11b, 0 10px 20px #fbff00;
    color: #e0570e;

}

.movies-loading { /* no need to make it invisible because it doesnt even exist before its visible.*/
  display: flex;
  align-items: center;
  justify-content: center;
  padding-top: 60px;
  font-size: 60px;
  color: #00fff9;
} 

.movies-loading-spinner {
  display: none !important; /* css fonts website's display inline block caused it to still show as a small icon on the side*/
}

.movies-area.movies-loading .movies-loading-spinner {
  display: block !important; /*now since the display none has higher priority because of its important we add another important here so it actually shows*/
}

/*###so ONLY if movies-loading class exists, we show the spinner*/

.fa-spinner {
  animation: rotate 600ms infinite linear;
}

@keyframes rotate {
  0% {
    transform: rotate(0);
  }

  100% {
    transform: rotate(360deg);
  }
}

/*movies-loading is the main man here its the ultimate style and the ultimate style giver as until await comes back with the result there's nothing in the movies area anyway### and until the spinner is paired with it, the spinner has display none*/

/* .plot-loading .movies-loading-spinner{
display: flex;
  align-items: center;
  justify-content: center;
  padding-top: 6px;
  font-size: 15px;
  color: #00fff9;
}

.plot-loading .movies-loading-spinner {
  display: inline-block !important;
} */

.movie-single {
  /* justify-content: flex-start; */
  align-items: center;
  /* padding: 0; */


}

.plot {
    border: 3px dashed #3E5B99;
    border-radius: 10px;
    padding: 5px 10px;
}